<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Receive JSON POST in PHP</title>
    <script src="https://code.jquery.com/jquery-1.10.2.js"></script>
    <link href="../form.css" type="text/css" rel="stylesheet" />
    <link href="../style.css" type="text/css" rel="stylesheet" />
</head>

<body>
    <div class="phppot-container">
        <h1>Receive JSON POST in PHP</h1>
        <form action="" method="post" id="form">
            <div id="phppot-message"></div>
            <div class="row">
                <label>Enter JSON data</label>
                <textarea name="json_input" class="full-width" rows="5" cols="50" id="json_string_input"> </textarea>
            </div>
            <div class="row">
                <input type="submit" value="Submit">
            </div>
        </form>
    </div>
    <script>
        function validateJSON(str) {
            try {
                var parsedData = JSON.parse(str);
                // Check if the parsed data is an object
                if (typeof parsedData === 'object' && parsedData !== null) {
                    return true;
                }
            } catch (e) {
                return false;
            }
        }
        $(document).ready(function() {
            $("#form").submit(function(event) {
                event.preventDefault();
                var jsonInput = $("#json_string_input").val();
                $.ajax({
                    url: "http://localhost/json-post-php/example1/ep.php",
                    type: "post",
                    dataType: "json",
                    data: {
                        jsonData: jsonInput
                    },
                    complete: function(data) {
                        var result = JSON.parse(data["responseText"]);
                        if (result && validateJSON(result["response"])) {
                            $("#phppot-message").html("The posted JSON is "+result["response"]);
                            $("#phppot-message").attr("class", result["responseType"]);
                        } else {
                            $("#phppot-message").html("Invalid JSON format.");
                            $("#phppot-message").attr("class", "error");
                        }
                    }
                })
            });
        });
    </script>
</body>

</html>