<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Receive JSON POST in PHP</title>
    <link href="../form.css" type="text/css" rel="stylesheet" />
    <link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<script>
    function isJson(str) {
        try {
            var parsedData = JSON.parse(str);
            // Check if the parsed data is an object
            return (typeof parsedData === 'object' && parsedData !== null);
        } catch (e) {
            return false;
        }
    }

    function submitForm() {
        var jsonstring = JSON.stringify(document.getElementById("json_string").value);
        ajax = new XMLHttpRequest();
        ajax.onreadystatechange = function() {
            if (ajax.readyState == 4 && ajax.status == 200) {
                var response = ajax.responseText;
                var result = JSON.parse(response);
                if (response && isJson(result["response"])) {
                    document.getElementById("phppot-message").innerHTML = result["response"];
                    document.getElementById("phppot-message").setAttribute("class", result["responseType"]);
                } else {
                    document.getElementById("phppot-message").innerHTML = "Invalid JSON format.";
                    document.getElementById("phppot-message").setAttribute("class", "error");
                }
            }
        }
        ajax.open("POST", "http://localhost/json-post-php/example3/ep.php");
        ajax.setRequestHeader("Content-Type", "application/json;charset=UTF-8");
        ajax.send(jsonstring);
    }
</script>

<body>
    <div class="phppot-container">
        <h1>Receive JSON POST in PHP</h1>
        <form action="" method="post" id="form">
            <div id="phppot-message"></div>
            <div class="row">
                <label>Enter JSON data</label>
                <textarea name="json_input" class="full-width" rows="5" cols="50" id="json_string"> </textarea>
            </div>
            <div class="row"><input type="button" value="Submit" id="btnsubmit" onclick="submitForm();"></div>
        </form>
    </div>
</body>

</html>